Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.project.ant/1 1.12.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.project.support.ant
Class AntProjectEvent

    java.lang.Object
      java.util.EventObject
          org.netbeans.spi.project.support.ant.AntProjectEvent

All Implemented Interfaces:
  Serializable

    public final class AntProjectEvent

extends EventObject

Event object corresponding to a change made in an Ant project's metadata. The event source is an `AntProjectHelper`.

See Also:
  `AntProjectListener`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Method Summary
`AntProjectHelper` | `getHelper()` Get the associated Ant project helper object.
`String` | `getPath()` Get the path to the modified (or created or deleted) file.
`boolean` | `isExpected()` Check whether the change was produced by calling methods on `AntProjectHelper` or whether it represents a change detected on disk.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getHelper

    public AntProjectHelper getHelper()

  Get the associated Ant project helper object.

  Returns:
    the project helper which fired the event

### getPath

    public String getPath()

  Get the path to the modified (or created or deleted) file. Paths typically used are:
  1. `AntProjectHelper.PROJECT_PROPERTIES_PATH`
  2. `AntProjectHelper.PRIVATE_PROPERTIES_PATH`
  3. `AntProjectHelper.PROJECT_XML_PATH`
  4. `AntProjectHelper.PRIVATE_XML_PATH`
  However for properties files, other paths may exist if the project uses them for some purpose.

  Returns:
    a project-relative path

### isExpected

    public boolean isExpected()

  Check whether the change was produced by calling methods on `AntProjectHelper` or whether it represents a change detected on disk.

  Returns:
    true if the change was triggered by in-memory modification methods, false if occurred on disk in the metadata files and is being loaded

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.project.ant/1 1.12.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.